Page MenuHomePhabricator

1.37.0-wmf.21 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dancy
Release Version
1.37.0-wmf.21
Release Date
Aug 30 2021, 12:00 AM
Train Status
NOTE: Deployed to group1 wikis, everything appears stable with no new errors in the logs.

2021 week 35 1.37-wmf.21 Changes wmf/1.37.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, August 30th:

Monday August 30thTuesday, August 31stWednesday, September 1stThursday, September 2ndFriday
Backports only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.37.0-wmf.20
Next: 1.37.0-wmf.22

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dancy.
thcipriani set the point value for this task to 5.
Risky Patch! 🚂🔥

Mentioned in SAL (#wikimedia-operations) [2021-08-31T18:24:42Z] <twentyafterfour> ran scap prep 1.37.0-wmf.21 and scap apply-patches --train 1.37.0-wmf.21 refs T281162

Mentioned in SAL (#wikimedia-operations) [2021-09-01T19:57:40Z] <twentyafterfour> twentyafterfour@deploy1002 rebuilt and synchronized wikiversions files: group1 wikis to 1.37.0-wmf.21 refs T281162

oops, previous updates were accidentally posted to wmf.20's blocker task

Change 716518 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.21 refs T281162

https://gerrit.wikimedia.org/r/716518

Change 716518 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.21 refs T281162

https://gerrit.wikimedia.org/r/716518

Mentioned in SAL (#wikimedia-operations) [2021-09-02T19:27:58Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.37.0-wmf.21 refs T281162